Loading...
Searching...
No Matches
SymmetricBlockMatrix.h File Reference

Access to matrices via blocks of pre-defined sizes. More...

Go to the source code of this file.

## Classes

class | gtsam::SymmetricBlockMatrix
| This class stores a dense matrix and allows it to be accessed as a collection of blocks. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Access to matrices via blocks of pre-defined sizes.

Used in GaussianFactor and GaussianConditional.

Author
  Richard Roberts

Date
  Sep 18, 2010